using UnityEngine;

public class SystemManager : IManager
{
    public SystemState Current { get; private set; }
    
    
    public enum SystemState
    {
        Play,
        Pause
    }
    
    public void Init()
    {
        Current = SystemState.Play;
        Time.timeScale = 1.0f;
    }


    public void PauseSystem()
    {
        if (Current == SystemState.Play)
        {
            Current = SystemState.Pause;
            Time.timeScale = 0.0f;
            // 메뉴 창 켜거나 하는 작업을 여기서 해도 되고?
            // 아니면 메뉴창을 여는 곳에서 이걸 불러도 된다.
        }
    }


    public void ResumeSystem()
    {
        if (Current == SystemState.Pause)
        {
            Current = SystemState.Play;
            Time.timeScale = 1.0f;
        }
    }
}
